Bug 1199963 - mvn error when trying to use libvirt java 0.5.1
Summary: mvn error when trying to use libvirt java 0.5.1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt-java
Version: unspecified
Hardware: All
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-09 11:53 UTC by Rajani K
Modified: 2020-04-16 17:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-16 17:42:25 UTC


Attachments (Terms of Use)

Description Rajani K 2015-03-09 11:53:13 UTC
Description of problem: 
maven error
I added the libvirt maven repo. But, its looking for file libvirt-0.5.1.pom and cannot find it

maven says Downloading: http://libvirt.org/maven2/org/libvirt/libvirt/0.5.1/libvirt-0.5.1.pom


Version-Release number of selected component (if applicable):
libvirt-java 0.5.1

How reproducible:
always

Steps to Reproduce:
1. add libvirt repo to pom.xml
<repository>
      <id>libvirt-org</id>
      <url>http://libvirt.org/maven2</url>
    </repository>

2. add libvirt dependency
<dependency>
      <groupId>org.libvirt</groupId>
      <artifactId>libvirt</artifactId>
      <version>0.5.1</version>
    </dependency>
3. build the project

Actual results: 
build fails as it couldn't locate the pom
Reference discussion on Apache CloudStack mailing list at [2]

Expected results: 
build should succeed


Additional info: 
the pom filename format in the maven repo is simply pom.xml. But, it should be libvirt-0.5.1.pom as per [1] ie) $BASE_REPO/groupId/artifactId/version/artifactId-version.pom 

manually downloading and installing the jar with the below command worked.
mvn install:install-file -Dfile=jar/location/libvirt-0.5.1.jar -DpomFile=pom/location/pom.xml -DgroupId=org.libvirt -DartifactId=libvirt -Dversion=0.5.1 -Dpackaging=jar -DgeneratePom=true


[1] http://maven.apache.org/pom.html
[2] http://markmail.org/thread/z3wratdglnl66fvx

Comment 1 Cole Robinson 2016-03-23 20:16:45 UTC
CCing Claudio Bley who is the libvirt-java maintainer, but not sure if he dealt with libvirt.org maven at all

Comment 2 Daniel Berrangé 2020-04-16 17:42:25 UTC
Closing old bug, since the maven2 repo on libvirt.org is unmaintained / unchanged since 2013


Note You need to log in before you can comment on or make changes to this bug.